RU_TTS(1)

NAME
ru_tts - software Russian TTS engine

SYNOPSIS
ru_tts [options]
ru_speak [options]

DESCRIPTION
This manual page documents briefly the ru_tts and ru_speak commands.

ru_tts is a program that takes Russian text in koi8-r charset on its standard input and produces digital sound stream in the raw linear signed 8-bit 10 kHz format on the standard output.

Symbols ‘+’ and ‘=’ immediately after a vowel in input text are treated as strong and weak stress sign respectively.

ru_speak is a simple wrapper around ru_tts. It takes Russian text on its standard input, convert it into the spoken speech and plays produced sound via play utility from the sox package. It accepts input text in the current locale's character encoding taking care of proper recoding.

OPTIONS
Both programs recognize the same set of options that for convenience can be divided onto several groups.

SPEECH CONTROL OPTIONS
These options affect general speech parameters. The most of them accept numeric value as an argument. All numeric values serve as factors applied to a default level of the corresponding parameter. Thus, they must be positive numbers and the default value is 1.0. Greater value proportionally increases the parameter level, lesser value proportionally decreases it. Reasonable value range for various options is different, but any out of range value will be automatically reduced to the acceptable range.

-r value
    Set speech rate factor. Reasonable value range is from 0.2 up to 5.0.

-p value
    Set voice pitch factor. Reasonable value range is from 0.5 up to 3.0.

-e value
    Set speech emotionality factor. Reasonable value range is from 0.0 (absolutely monotone speech without intonations) up to 1.4.

-g value
    Set interclause gaps duration factor. If this value is immediately prepended by one of the following punctuations ‘,’, ‘.’, ‘;’, ‘:’, ‘?’, ‘!’, the factor will be applied only to the gaps implied by that punctuation. If the value is prepended by symbol ‘-’, it will be used for intonational gaps not caused by any punctuation. Otherwise all interclause gaps will be affected. Use this option several times to adjust various gaps. Lower boundary of the reasonable value range is always 0.0, but the upper one greatly depends on the value prepending symbol and actual speech rate.

-a
    Use an alternative (female) voice instead of the default one.

NUMBERS INTERPRETATION CONTROL OPTIONS
By default point and comma inside a number both are interpreted as decimal separator. But this behaviour can be changed.

-d.
    Only point should be treated as decimal separator.

-d,
    Only comma should be treated as decimal separator.

-d-
    Disable decimal separators treating. In that case integer and fractional parts will be interpreted as two distinct integer numbers.

PRONUNCIATION DICTIONARY RELATED OPTIONS

-s path
    Points location of stress and pronunciation dictionary to use. You may use pronunciation dictionary shipped with the package rulex here.

-l file
    Save words that were not found in the dictionary in specified file. It is useful for dictionary developing. This option does matter only when the pronunciation dictionary itself is used.

OTHER OPTIONS

-v
    Show program name and version.

-h
    Show summary of options.

SEE ALSO
sox(1), aplay(1), lexholder-ru(1).

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.